Bug 163269 - New port: lang/x10 Parallel programming language from IBM research
Summary: New port: lang/x10 Parallel programming language from IBM research
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-14 00:50 UTC by Jason W. Bacon
Modified: 2011-12-26 19:20 UTC (History)
0 users

See Also:


Attachments
file.shar (24.12 KB, text/plain)
2011-12-14 00:50 UTC, Jason W. Bacon
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jason W. Bacon freebsd_committer 2011-12-14 00:50:09 UTC
X10 is a Java-like experimental parallel programming language from IBM research.  It aims to provide a scalable and easy-to-use interface for parallel programs on shared memory systems such as SMP, clusters, and other parallel architectures.

Fix: Patch attached with submission follows:
Comment 1 Pawel Pekala freebsd_committer 2011-12-24 11:51:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 2 Pawel Pekala freebsd_committer 2011-12-25 11:32:22 UTC
State Changed
From-To: open->feedback

Port leaves files behind when NOPORTEXAMPLES is set, please see log: 
http://people.freebsd.org/~pawel/buildlogs/7/x10-2.2.1.log
Comment 3 dfilter service freebsd_committer 2011-12-26 19:15:32 UTC
pawel       2011-12-26 19:15:23 UTC

  FreeBSD ports repository

  Modified files:
    lang                 Makefile 
  Added files:
    lang/x10             Makefile distinfo pkg-descr pkg-plist 
    lang/x10/files       patch-x10.runtime-Make.rules 
  Log:
  IBM Research is developing the open-source X10 programming language to
  provide a programming model that can address the architectural challenge
  of multiples cores, hardware accelerators, clusters, and supercomputers
  in a manner that provides scalable performance in a productive manner.
  
  WWW:    http://x10-lang.org
  
  PR:             ports/163269
  Submitted by:   Jason Bacon <jwbacon@tds.net>
  
  Revision  Changes    Path
  1.762     +1 -0      ports/lang/Makefile
  1.1       +48 -0     ports/lang/x10/Makefile (new)
  1.1       +2 -0      ports/lang/x10/distinfo (new)
  1.1       +15 -0     ports/lang/x10/files/patch-x10.runtime-Make.rules (new)
  1.1       +6 -0      ports/lang/x10/pkg-descr (new)
  1.1       +519 -0    ports/lang/x10/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Pawel Pekala freebsd_committer 2011-12-26 19:15:49 UTC
State Changed
From-To: feedback->closed

New port added. Thanks!